# Daily Programs

## The thermostat\_daily\_program Object

* [Properties](#properties)
* [Endpoints](#endpoints)

Represents a thermostat daily program, consisting of a set of periods, each of which has a starting time and the key that identifies the climate preset to apply at the starting time.

{% tabs %}
{% tab title="Thermostat Daily Program" %}
A thermostat daily program resource.

```json
{
  "created_at": "2025-06-14T16:54:17.946642Z",
  "device_id": "58437d45-47ac-4ee6-ab27-7b2d1f2947d1",
  "name": "Weekday Program",
  "periods": [
    { "starts_at_time": "07:00:00", "climate_preset_key": "Home" },
    { "starts_at_time": "09:00:00", "climate_preset_key": "Away" },
    { "starts_at_time": "16:00:00", "climate_preset_key": "Home" },
    { "starts_at_time": "22:30:00", "climate_preset_key": "Sleep" }
  ],
  "thermostat_daily_program_id": "ab8ef74c-c7cd-4100-aa32-0ef960c0080d",
  "workspace_id": "8da8d923-e55b-45cd-84a3-6c96b3d3d454"
}
```

{% endtab %}
{% endtabs %}

***

## Properties

**`created_at`** *Datetime*

Date and time at which the thermostat daily program was created.

***

**`device_id`** *UUID*

ID of the thermostat device on which the thermostat daily program is configured.

***

**`name`** *String*

User-friendly name to identify the thermostat daily program.

***

**`periods`** *List* *of Objects*

Array of thermostat daily program periods.

<details>

<summary>Child Object Properties</summary>

**`climate_preset_key`** *String*

Key of the [climate preset](https://docs.seam.co/latest/capability-guides/thermostats/creating-and-managing-climate-presets) to activate at the `starts_at_time`.

**`starts_at_time`** *String*

Time at which the thermostat daily program period starts, in [ISO 8601](https://www.iso.org/iso-8601-date-and-time-format.html) format.

</details>

***

**`thermostat_daily_program_id`** *UUID*

ID of the thermostat daily program.

***

**`workspace_id`** *UUID*

ID of the [workspace](https://docs.seam.co/latest/core-concepts/workspaces) that contains the thermostat daily program.

***

## Endpoints

[**`/thermostats/daily_programs/create`**](/latest/api/thermostats/daily_programs/create.md)

Creates a new thermostat daily program. A daily program consists of a set of periods, where each period includes a start time and the key of a configured climate preset. Once you have defined a daily program, you can assign it to one or more days within a weekly program.

[**`/thermostats/daily_programs/delete`**](/latest/api/thermostats/daily_programs/delete.md)

Deletes a thermostat daily program.

[**`/thermostats/daily_programs/update`**](/latest/api/thermostats/daily_programs/update.md)

Updates a specified thermostat daily program. The periods that you specify overwrite any existing periods for the daily program.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.seam.co/latest/api/thermostats/daily_programs.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
